#!/bin/sh

if [[ -d src/main/java/com/agilex/healthcare/schedulingmanager/mdws/generatedwsdl/toolsservice ]] ; then
    rm -rf src/main/java/com/agilex/healthcare/schedulingmanager/mdws/generatedwsdl/toolsservice
fi

wsimport -extension -s src/main/java -p com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.toolsservice -keep http://192.168.25.149/LVMdwsTest/ToolsService.asmx?WSDL
rm -rf ./com

echo "You must be connected to the Agilex VPN in order for this to work."
echo
echo "Here's why we are using wsimport versus something else like wsdl2java"
echo "http://stackoverflow.com/questions/3588616/java-webservice-client-best-way/3590252#3590252"
echo "https://weblogs.java.net/blog/kohsuke/archive/2007/02/jaxws_ri_21_ben.html"

echo
echo
echo

read -p "Finished, press [ENTER] to Exit"
